Subject: mailutils-imap4d: Please include alternative start method instead of inetd

From: Mark Lawrence <[email-masked]>
Date: Wed, 27 Jun 2007 17:49:45 +0200

Package: mailutils-imap4d
Version: 1:1.1+dfsg1-3.1
Severity: normal

I don't run inetd because I don't need any of the services it provides
access to. However I would like to run imap4d in a stand-alone mode.

I have seen some other packages that provide provide an
/etc/init.d/<service> file that checks if the service is configured in
/etc/inetd.conf, and if not starts/stops the service according to the
normal rc?.d links. See fam for example.

Would it be possible to do something similar for mailutils-imap4d?

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (700, 'stable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.21.3
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages mailutils-imap4d depends on:
ii  libc6    2.3.6.ds1-13                    GNU C Library: Shared libraries
ii  libcomer 1.39+1.40-WIP-2006.11.14+dfsg-2 common error description library
ii  libgcryp 1.2.3-2                         LGPL Crypto library - runtime libr
ii  libgdbm3 1.8.3-3                         GNU dbm database routines (runtime
ii  libgnutl 1.4.4-3                         the GNU TLS library - runtime libr
ii  libgpg-e 1.4-1                           library for common error values an
ii  libgsasl 0.2.12-1+b2                     GNU SASL library
ii  libidn11 0.6.5-1                         GNU libidn library, implementation
ii  libkrb53 1.4.4-7etch1                    MIT Kerberos runtime libraries
ii  libmailu 1:1.1+dfsg1-3.1                 GNU Mail abstraction library
ii  libmysql 5.0.32-7etch1                   mysql database client library
ii  libpam0g 0.79-4                          Pluggable Authentication Modules l
ii  libtasn1 0.3.6-2                         Manage ASN.1 structures (runtime)
ii  netbase  4.29                            Basic TCP/IP networking system
ii  zlib1g   1:1.2.3-13                      compression library - runtime

mailutils-imap4d recommends no packages.

-- no debconf information